Bug 107937 - My laptop shuts down by itself when using DRI
My laptop shuts down by itself when using DRI
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-10-24 14:20 EDT by Julien Olivier
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-03 08:46:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/XFRee86.0.log (32.49 KB, text/plain)
2003-10-24 14:51 EDT, Julien Olivier
no flags Details
/etc/X11/XF86Config (3.22 KB, text/plain)
2003-10-24 14:52 EDT, Julien Olivier
no flags Details
/var/log/messages (215.41 KB, text/plain)
2003-10-24 14:59 EDT, Julien Olivier
no flags Details

  None (edit)
Description Julien Olivier 2003-10-24 14:20:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031009

Description of problem:
If I use a DRI-enabled program (for example, any 3D screensaver or 3D games),
after a little while (about 1 minute) my computer just shutdowns by itself, as
if I had unplugged it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Launch a program using DRI
2.Wait a little (about 1 minute)


Actual Results:  Power off :(

Expected Results:  Go on using my computer !

Additional info:

My computer is a Fujitsu/Siemens Amilo D laptop. It features an ATI Radeon
Mobility M6 video card.

I can reproduce this bug with or without monitor power management enabled, with
or without ACPId and with or without APMd.
Comment 1 Mike A. Harris 2003-10-24 14:42:57 EDT
Please attach your /var/log/XFree86.* and /etc/X11/XF86Config, and
/var/log/messages to the bug report as single file attachments uncompressed
using the link below.

Also, you using 2.4.x or 2.6.x kernel when this occurs?
Comment 2 Julien Olivier 2003-10-24 14:51:56 EDT
Created attachment 95462 [details]
Comment 3 Julien Olivier 2003-10-24 14:52:58 EDT
Created attachment 95463 [details]
Comment 4 Julien Olivier 2003-10-24 14:53:37 EDT
Here you are.
Comment 5 Julien Olivier 2003-10-24 14:59:04 EDT
Created attachment 95464 [details]

I've cut it to show only messages for today
Comment 6 Julien Olivier 2003-10-24 15:28:25 EDT
Sorry, forgot to say that I'm using kernel 2.4.x (the one coming with Fedora
Core Test 3 by default).
Comment 7 Julien Olivier 2003-10-24 15:38:06 EDT
To be more precise, it's the 2.4.22-1.2088.nptl.
Comment 8 Bill Nottingham 2003-10-26 21:12:32 EST
Oct 24 19:40:53 localhost smartd[2576]: Device: /dev/hda, SMART Usage
Attribute: 194 Temperature_Celsius changed from 137 to 144 

Um, 144 degrees celsius seems a tad high for normal operation.

Are you sure the machine isn't overheating?
Comment 9 Julien Olivier 2003-10-27 06:57:01 EST
I found out that the problem is not DRI-related as I can reproduce it using
applications not using DRI. It seems it shuts down when an application is using
the CPU heavily. More over, when I use my laptop on battery mode, this bug
Comment 10 Mike A. Harris 2003-10-27 08:12:09 EST
You're using Radeon hardware, which means that if DRI is enabled in your
config file, DRI is used for both 2D and 3D acceleration.  In order to
exclude DRI completely, please edit your X config file and comment out
the 'Load "dri"' line, so that DRI is totally disabled.  This will cause
the Radeon driver to fall back to MMIO 2D acceleration instead of using
the CP.

If the hangs still occur with DRI totally disabled, but go away when on
battery, most likely while on battery your system is going into low power
mode and thus wont generate as much heat.

Can you post a kernel log from being on battery power also, which shows
the temperature?
Comment 11 Julien Olivier 2003-10-27 09:09:27 EST
I've removed Load "DRI" from my config file nd the problem remains. I'd say it's
even worse as the laptop shuts down even faster (about 10 seconds after I
launche the 3D-enabled game). I guess that's because the CPU now has to handle
all the 3D instead of the video card. So, IMO, that goes in the direction of CPU

However, I can't get a new log file showing the temperature.

But I did the following (disclaimer: I don't know what I'm doing...)

In battery mode without the 3D app running:

[root@dhcppc0 julo]# cat /proc/acpi/thermal_zone/THR1/temperature
temperature:             63 C
[root@dhcppc0 julo]# cat /proc/acpi/thermal_zone/THR2/temperature
temperature:             62 C

In battery mode with the 3D app running:

[root@dhcppc0 julo]# cat /proc/acpi/thermal_zone/THR1/temperature
temperature:             74 C
[root@dhcppc0 julo]# cat /proc/acpi/thermal_zone/THR2/temperature
temperature:             65 C

Is it interesting to you ?
Comment 12 Julien Olivier 2003-10-27 09:30:24 EST
When not on battery mode, cat /proc/acpi/thermal_zone/THR1/temperature gives
more something like 86 when running this 3D app, just before the laptop shuts

So I guess, it's over-heating.

More over, I changed my BIOS setup to "smart throttle". Now, I have a brighter
screen and a slower laptop. But it doesn't shut down anymore. Instead of
shutting down, it becomes very slow.

what troubles me, though, is that I didn't have those problems with Redhat 9.

Any idea ?
Comment 13 Mike A. Harris 2003-10-27 09:57:30 EST
Sounds to me like this is either a hardware malfunction issue, or it is
power management related problem.  If it doesn't occur in RHL 9, I would
assume perhaps something in the kernel changed, although I can't really
say for sure.

I've carbon copied several kernel people who might be aware of any relevant
changes or issues WRT power management.
Comment 14 Julien Olivier 2003-10-27 10:58:42 EST
I'm totally confused about this bug... I've stopped using 3D apps for now (which
isn't a big deal because most of them are games/screensavers) and I'm waiting
for ideas from kernel people. But wouldn't it be possible that one of my fans
may have broken one day near the installation of Fedora Test3 ? Is it normal to
have a big difference between THR1's temperature and THR2's temperature ?
Comment 15 Julien Olivier 2003-11-03 08:46:54 EST
Good news:

today, after having switched my laptop on, a cloud of dust went out
from its fan... And, from now on, it doesn't overheats anymore. So I
guess the fan was stuck by something and didn't do its job. In
conclusion, it was a hardware problem...

Thanks and sorry for the noise, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.